Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Import Wallet Error on fresh 0.4.10 install *FIXED*  (Read 341 times)

0 Members and 1 Guest are viewing this topic.

Offline emailtooaj

Import Wallet Error on fresh 0.4.10 install *FIXED*
« on: September 01, 2014, 04:02:43 AM »

Hey Everyone,
I'm getting a import wallet error. Here is what I've done so far..
Deleted the 0.3.8 wallet along with the Roaming folder (I did save backup json before deleting).
Installed new 0.4.10 wallet, put in the same pass as last version and let fully sync to network.
Went to import json wallet backup and I'm getting this error...
"Failed to restore wallet backup. Your original wallet has been restored. Error: Bad Cast (7)
Invalid cast from type 'string_type' to Object"


I'm running Windows 8.1 and wearing blue Pj's  ;D
Seriously though, can someone help me out with what to do?
Did the json file get corrupt by chance?
I do still have my privkeydump from PTS wallet. Should I import those again?
I would like to find a fix to restore from the json file though.

Again any help or suggestions would be appreciated  :D



EDIT* Problem fixed, read below!

« Last Edit: September 02, 2014, 03:47:21 AM by emailtooaj »
Sound Editor of Beyondbitcoin Hangouts. Listen to latest here - https://beyondbitcoin.org support the Hangouts! BTS Tri-Fold Brochure https://bitsharestalk.org/index.php/topic,15169.0.html
Tip BROWNIE.PTS to EMAILTOOAJ

jakub

  • Guest
Re: Import Wallet Error on fresh 0.4.10 install
« Reply #1 on: September 01, 2014, 08:36:42 AM »
It's an old issue that has been fixed in the current version but as you did your export in 0.3.8 you might still be vulnerable to this.
Here is the workaround for this:
https://184.154.208.204/index.php?topic=7386.msg98856#msg98856

Offline emailtooaj

Re: Import Wallet Error on fresh 0.4.10 install
« Reply #2 on: September 01, 2014, 08:05:59 PM »
jakub,
The link you posted is unsecured.
Is there another post that refers to the same work around your talking about?
Sound Editor of Beyondbitcoin Hangouts. Listen to latest here - https://beyondbitcoin.org support the Hangouts! BTS Tri-Fold Brochure https://bitsharestalk.org/index.php/topic,15169.0.html
Tip BROWNIE.PTS to EMAILTOOAJ

Offline bytemaster

For the latest updates checkout my blog: http://bytemaster.bitshares.org
Anything said on these forums does not constitute an intent to create a legal obligation or contract between myself and anyone else.   These are merely my opinions and I reserve the right to change them at any time.

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12076
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Import Wallet Error on fresh 0.4.10 install
« Reply #4 on: September 01, 2014, 09:05:46 PM »
Not sure if this has been fixed in 4.7 but in 4.5 when exporting the wallet and then trying to import it back I got this error:



Looking into it: https://github.com/BitShares/bitshares_toolkit/issues/675

Can anyone confirm whether or not backup import works correctly on Mac GUI or Linux command line? I suspect the problem is only on Windows.

I have found the problem and backup creation on Windows will be fixed in 0.4.8.

To recover your existing backup, open the backup file in a text editor like Notepad and scroll all the way to the end. There is an extra comma at the end of the file; the last two lines will look like this:
Code: [Select]
},
]

Delete that comma and save the file, and let us know if you can successfully import after doing this.

Vikram can well be trusted!
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline emailtooaj

Re: Import Wallet Error on fresh 0.4.10 install
« Reply #5 on: September 01, 2014, 10:29:10 PM »
Thanks guys! Will test it when I get back and update post if it's solved.


Sent from my iPhone using Tapatalk
Sound Editor of Beyondbitcoin Hangouts. Listen to latest here - https://beyondbitcoin.org support the Hangouts! BTS Tri-Fold Brochure https://bitsharestalk.org/index.php/topic,15169.0.html
Tip BROWNIE.PTS to EMAILTOOAJ

Offline emailtooaj

Re: Import Wallet Error on fresh 0.4.10 install
« Reply #6 on: September 02, 2014, 03:45:03 AM »
OK I've got it working and everything is up and running again. Let me post what I came across.
I did the json file modification and tried to import wallet again. Got the same error as previously stated.
Now... when I did this, I had already unlocked the wallet via the opening screen and then tried the import wallet function.
So I closed the wallet out and restarted after getting the error.
Once it restarted, I imported the wallet json before I unlocked the wallet via the "File" menu (which I never realized you could do) and the wallet opened with all info intact!!!

So that being said, I'm left to wonder... is this safe? To have the "File" drop down menus available to access before any password is entered?
Granted, I still had to enter my password via the password pop up box after selecting the "File" menu functions. But still?!
I terms of feeling "safer" about my wallet from being compromised, wouldn't it be better that NO functions show at all other than just the password screen?

Otherwise, Thank you guys for jumping in with the work around  :D

Sound Editor of Beyondbitcoin Hangouts. Listen to latest here - https://beyondbitcoin.org support the Hangouts! BTS Tri-Fold Brochure https://bitsharestalk.org/index.php/topic,15169.0.html
Tip BROWNIE.PTS to EMAILTOOAJ

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12076
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Import Wallet Error on fresh 0.4.10 install
« Reply #7 on: September 02, 2014, 09:09:56 AM »
So that being said, I'm left to wonder... is this safe? To have the "File" drop down menus available to access before any password is entered?
Granted, I still had to enter my password via the password pop up box after selecting the "File" menu functions. But still?!
I terms of feeling "safer" about my wallet from being compromised, wouldn't it be better that NO functions show at all other than just the password screen?
The only thing that an attacker can do is overwrite your current wallet (not the  backups though) .. this discussion leads us back to "pysical" securing your wallet on your computer by securing your computer :)

If you hace access to the computer you can easily delete the wallet with unlocking it using filesystem operations ..

not having the main menu would harm more than help .. IMHO
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

 

Google+